### Method

# GLib ThreadPool move_to_front

since: 2.46

#### Declaration [src]

    gboolean
    g_thread_pool_move_to_front (
      GThreadPool* pool,
      gpointer data
    )

#### Description [src]

Moves the item to the front of the queue of unprocessed items, so that it will be processed next.

Available since: 2.46

#### Parameters

`data`

  Type: `gpointer`

  An unprocessed item in the pool.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the item was found and moved.